Summary:        A trace viewer and converter reading and writing the Common Trace Format
Name:           babeltrace
Version:        1.5.8
Release:        3%{?dist}
License:        MIT and GPLv2
URL:            https://www.efficios.com/babeltrace
Source0:        https://www.efficios.com/files/%{name}/%{name}-%{version}.tar.bz2

Patch3000:      python39.patch

BuildRequires:  bison >= 2.4
BuildRequires:  flex >= 2.5.35
BuildRequires:  glib2-devel >= 2.22.0
BuildRequires:  popt-devel >= 1.13
BuildRequires:  swig >= 2.0
BuildRequires:  elfutils-devel >= 0.154
BuildRequires:  autoconf automake libtool make libuuid-devel python3-devel
Requires:       lib%{name} = %{version}-%{release}

%description
This package provides babeltrace and babeltrace-log. Babeltrace is a trace viewer 
and converter reading and writing the Common Trace Format (CTF). Its main use is 
to pretty-print CTF traces into a human-readable text output ordered by time. 
Babeltrace-log converts from a text log to CTF.

%package -n lib%{name}
Summary:        Trace read and write libraries

%description -n lib%{name}
This package provides trace read and write libraries.

%package -n lib%{name}-devel
Summary:        Babeltrace development files
Requires:       lib%{name} = %{version}-%{release} 
Requires:       glib2-devel

%description -n lib%{name}-devel
This package provides babeltrace development files.

%package -n python3-%{name}
Summary:        Babeltrace python module
Requires:       lib%{name} = %{version}-%{release}

%description -n python3-%{name}
This package provides babeltrace python module.

%prep
%autosetup -p1

%build
autoreconf -vif
export PYTHON=%{__python3}
export PYTHON_CONFIG=%{__python3}-config
%configure --disable-static --enable-python-bindings
%make_build

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete
rm -f %{buildroot}%{_pkgdocdir}/API.txt
rm -f %{buildroot}%{_pkgdocdir}/LICENSE
rm -f %{buildroot}%{_pkgdocdir}/gpl-2.0.txt
rm -f %{buildroot}%{_pkgdocdir}/mit-license.txt
rm -f %{buildroot}%{_pkgdocdir}/std-ext-lib.txt

%check
make check

%files
%license LICENSE gpl-2.0.txt mit-license.txt
%doc ChangeLog doc/lttng-live.txt
%{_bindir}/%{name}*
%{_mandir}/man1/*.1*

%files -n lib%{name}
%license LICENSE gpl-2.0.txt mit-license.txt
%doc doc/API.txt std-ext-lib.txt
%{_libdir}/*.so.*

%files -n lib%{name}-devel
%{_includedir}/*
%{_libdir}/pkgconfig/babeltrace.pc
%{_libdir}/pkgconfig/babeltrace-ctf.pc
%{_libdir}/*.so

%files -n python3-%{name}
%{python3_sitearch}/babeltrace
%{python3_sitearch}/babeltrace*.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.8-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 1 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.5.8-1
- Initial build
